### Class

# Gtk BuilderCScope

#### Description [src]

    class Gtk.BuilderCScope : GObject.Object {
      parent_instance: GObject
    }

A `GtkBuilderScope` implementation for the C language.

`GtkBuilderCScope` instances use symbols explicitly added to `builder` with prior calls to gtk_builder_cscope_add_callback_symbol(). If developers want to do that, they are encouraged to create their own scopes for that purpose.

In the case that symbols are not explicitly added; GTK will uses `GModule`’s introspective features (by opening the module `NULL`) to look at the application’s symbol table. From here it tries to match the signal function names given in the interface description with symbols in the application.

Note that unless gtk_builder_cscope_add_callback_symbol() is called for all signal callbacks which are referenced by the loaded XML, this functionality will require that `GModule` be supported on the platform.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GtkBuilderScope

#### Constructors

###### gtk_builder_cscope_new

Creates a new `GtkBuilderCScope` object to use with future `GtkBuilder` instances.

#### Instance methods

###### gtk_builder_cscope_add_callback_symbol

Adds the `callback_symbol` to the scope of `builder` under the given `callback_name`.

###### gtk_builder_cscope_add_callback_symbols

A convenience function to add many callbacks.

###### gtk_builder_cscope_lookup_callback_symbol

Fetches a symbol previously added with gtk_builder_cscope_add_callback_symbol().

#### Class structure

    struct GtkBuilderCScopeClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.